Name:           herbstluftwm
Version:        0.5.3
Release:        1%{?dist}
Summary:        A manual tiling window manager
License:        BSD
URL:            http://herbstluftwm.org
Source0:        http://herbstluftwm.org/tarballs/%{name}-%{version}.tar.gz
BuildRequires:  glib2-devel
BuildRequires:  libX11-devel
BuildRequires:  libXinerama-devel

%description
herbstluftwm is a manual tiling window manager for X11 using Xlib and Glib. 
Its main features can be described with:

- The layout is based on splitting frames into subframes which can be split 
again or can be filled with windows;
- Tags (or workspaces or virtual desktops or …) can be added/removed at 
runtime. Each tag contains an own layout exactly one tag is viewed on each 
monitor. The tags are monitor independent;
- It is configured at runtime via ipc calls from herbstclient. So the 
configuration file is just a script which is run on startup.

%package        zsh
Summary:        %{name} zsh completion support
Requires:       %{name} = %{version}-%{release}
Requires:       zsh
BuildArch:      noarch

%description    zsh
This package provides zsh completion script of %{name}.

%prep
%setup -q

%build
# Disable silent build
sed -i 's|VERBOSE = @|VERBOSE = |g' config.mk
# Preserve the timestamp
sed -i 's|INSTALL = install|INSTALL = install -p|g' config.mk
# Correct the prefix
sed -i 's|/usr/local|%{_prefix}|g' config.mk
# Insert optflags
sed -i 's|CPPFLAGS ?=|CPPFLAGS ?= %{optflags}|g' config.mk
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} ZSHCOMPLETIONDIR='$(DATADIR)/zsh/site-functions'
# Let's move docs.
rm -rf %{buildroot}%{_datadir}/doc/herbstluftwm
mkdir -p %{buildroot}%{_datadir}/bash-completion/completions
mv %{buildroot}%{_sysconfdir}/bash_completion.d/herbstclient-completion \
   %{buildroot}%{_datadir}/bash-completion/completions/herbstclient

%files
%doc AUTHORS BUGS LICENSE MIGRATION NEWS
%doc scripts/ doc/*.{html,txt}
%{_sysconfdir}/xdg/%{name}
%{_bindir}/*
%{_datadir}/bash-completion/completions/herbstclient
%{_datadir}/xsessions/%{name}.desktop
%{_mandir}/man1/*.1*
%{_mandir}/man7/*.7* 

%files zsh
%{_datadir}/zsh/site-functions/_herbstclient

%changelog
* Fri Dec 27 2013 Christopher Meng <rpm@cicku.me> - 0.5.3-1
- Update to 0.5.3

* Mon Aug 05 2013 Christopher Meng <rpm@cicku.me> - 0.5.2-2
- Move bash completion to better place.

* Mon Aug 05 2013 Christopher Meng <rpm@cicku.me> - 0.5.2-1
- Initial Package.
